Name:           nautilus-image-converter
Version:        0.3.0
Release:        1%{?dist}
Summary:        Nautilus extension to mass resize images

Group:          User Interface/Desktops
License:        GPLv2+
URL:		http://www.bitron.ch/software/nautilus-image-converter.php
Source0:        http://www.bitron.ch/downloads/%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-unused-variables.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libglade2-devel >= 2.4.0
BuildRequires:	glib2-devel >= 2.15.0
BuildRequires:	nautilus-devel >= 2.21.0
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)
Requires:	ImageMagick
 

%description
Adds a "Resize Images..." menu item to the context menu of all images. This
opens a dialog where you set the desired image size and file name. A click
on "Resize" finally resizes the image(s) using ImageMagick's convert tool.


%prep
%setup -q
%patch0 -p1 -b .variables


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_datadir}/%{name}/
%{_libdir}/nautilus/extensions-2.0/*.so


%changelog
* Fri Mar 28 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.3.0-1
- Update to 0.3.0.
- Add patch to fix unused variables compile errors.
- Drop BR on gnome-vfs2-devel.
- Drop extension directory patch. Fixed upstream.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.2.1-3
- Rebuild for gcc-4.3.

* Mon Dec 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.2.1-2
- Rebuild for change to nautilus extension api change.
- Add patch to use new nautilus extension directory.

* Sat Dec 22 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.2.1-1
- Update to 0.2.1.

* Fri Oct  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.2.0-1
- Update to 0.2.0, which only has translation changes.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.9-3
- Rebuild.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.9-2
- Update license tag.

* Sun Dec 17 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.9-1
- Update to 0.0.9.

* Thu Dec  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.8-1
- Update to 0.0.8.

* Thu Dec  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.7-1
- Update to 0.0.7.

* Wed Dec  6 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.6-1
- Update to 0.0.6.

* Thu Sep  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.5-6
- Add BR on perl(XML::Parser).

* Thu Sep  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.5-5
- Rebuild for FC6.

* Fri Aug 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.5-4
- Add BR for nautilus-devel, due to Core change.

* Mon Feb 13 2006 Brian Pepple <bdpepple@ameritech.net> - 0.0.5-3
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Oct 17 2005 Brian Pepple <bdpepple@ameritech.net> - 0.0.5-2
- Update to 0.0.5.

* Mon Oct 10 2005 Brian Pepple <bdpepple@ameritech.net> - 0.0.4-2
- Update to 0.0.4.
- Add BR for gettext & handle translations.
- Change group to follow other nautilus plugins.

* Tue Sep 27 2005 Brian Pepple <bdpepple@ameritech.net> - 0.0.3-2
- Fix ownership of data directory.
- Add dist tag.

* Tue Sep 27 2005 Brian Pepple <bdpepple@ameritech.net> - 0.0.3-1
- Initial Fedora Extras release.

